MWAWGraphicStyle::Hatch Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
MWAWGraphicStyle::Hatch Struct Reference

a basic hatch used in MWAWGraphicStyle More...

`#include <MWAWGraphicStyle.hxx>`

## Public Types
enum | Type { H_None , H_Single , H_Double , H_Triple }
| the potential type More...

## Public Member Functions
| Hatch ()
| constructor
bool | hasHatch () const
| returns true if the gradient is defined
void | addTo (librevenge::RVNGPropertyList &propList) const
| add a hatch to the propList
int | cmp (Hatch const &a) const
| compare two hatchs

## Public Attributes
Type | m_type
| the hatch type
MWAWColor | m_color
| the hatch color
float | m_distance
| the hatch distance in inches
float | m_rotation
| the rotation (in degrees)

## Friends
std::ostream & | operator<< (std::ostream &o, Hatch const &hatch)
| a print operator

## Detailed Description

a basic hatch used in MWAWGraphicStyle

## Member Enumeration Documentation

## ◆ Type

enum MWAWGraphicStyle::Hatch::Type

the potential type

Enumerator
H_None |
H_Single |
H_Double |
H_Triple |

## Constructor & Destructor Documentation

## ◆ Hatch()

MWAWGraphicStyle::Hatch::Hatch | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ addTo()

void MWAWGraphicStyle::Hatch::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add a hatch to the propList

Referenced by MWAWGraphicStyle::addTo().

## ◆ cmp()

int MWAWGraphicStyle::Hatch::cmp | ( | Hatch const & | a | ) | const
| inline

compare two hatchs

Referenced by MWAWGraphicStyle::cmp().

## ◆ hasHatch()

bool MWAWGraphicStyle::Hatch::hasHatch | ( |  | ) | const
| inline

returns true if the gradient is defined

Referenced by MWAWGraphicStyle::hasHatch(), and Canvas5StyleManager::updateSurfaceColor().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Hatch const & | hatch )
| friend

a print operator

## Member Data Documentation

## ◆ m_color

MWAWColor MWAWGraphicStyle::Hatch::m_color

the hatch color

Referenced by cmp(), and Canvas5StyleManager::readHatch().

## ◆ m_distance

float MWAWGraphicStyle::Hatch::m_distance

the hatch distance in inches

Referenced by cmp(), hasHatch(), and Canvas5StyleManager::readHatch().

## ◆ m_rotation

float MWAWGraphicStyle::Hatch::m_rotation

the rotation (in degrees)

Referenced by cmp(), and Canvas5StyleManager::readHatch().

## ◆ m_type

Type MWAWGraphicStyle::Hatch::m_type

the hatch type

Referenced by cmp(), hasHatch(), and Canvas5StyleManager::readHatch().

The documentation for this struct was generated from the following files:

- MWAWGraphicStyle.hxx
- MWAWGraphicStyle.cxx